package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type DeleteSignalRecordsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteSignalRecordsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteSignalRecordsLogic {
	return &DeleteSignalRecordsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteSignalRecordsLogic) DeleteSignalRecords(in *rtc.DeleteSignalRecordsReq) (*rtc.DeleteSignalRecordsResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.DeleteSignalRecordsResp{}, nil
}
